Summary:	Cisco-like telnet command-line library
Summary(pl.UTF-8):	Biblioteka Cisco-podobnej linii poleceń telnetu
Name:		libcli
Version:	1.9.7
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	https://github.com/dparrish/libcli/archive/v%{version}.tar.gz
# Source0-md5:	f33e0fdb8ae8e14e66036424704b201b
URL:		https://github.com/dparrish/libcli
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcli provides a shared library for including a Cisco-like
command-line interface into other software. It's a telnet interface
which supports command-line editing, history, authentication and
callbacks for a user-definable function tree.

%description -l pl.UTF-8
Pakiet libcli dostarcza współdzieloną bibliotekę do włączania
Cisco-podobnego interfejsu linii poleceń do innego oprogramowania.
Jest to interfejs telnetu, który obsługuje edycję linii poleceń,
historię, uwierzytelnienie i callbacki do definiowalnego przez
użytkownika drzewa funkcji.

%package devel
Summary:	libcli header files
Summary(pl.UTF-8):	Pliki nagłówkowe libcli
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcli library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcli.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS='%{rpmldflags} -shared -nostartfiles -Wl,-soname,libcli.so.$(MAJOR)'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

install libcli.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
install libcli.h $RPM_BUILD_ROOT%{_includedir}
# can be expanded in current directory
ln -sf libcli.so.*.*.* $RPM_BUILD_ROOT%{_libdir}/libcli.so
ln -sf libcli.so.*.*.* $RPM_BUILD_ROOT%{_libdir}/libcli.so.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libcli.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcli.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcli.so
%{_includedir}/libcli.h
%changelog
* Sun Nov 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcli.git;a=log;h=master

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> 06779ba
- upgraded to 1.9.7

* Sun Jan 12 2014 Jakub Bogusz <qboosh@pld-linux.org> d8358fd
- verbose lib, include files

* Sun Jan 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b1362e1
- ghost soname symlink

* Tue Nov 18 2008 undefine <undefine@pld-linux.org> e97998d
- up to 1.9.4
- changed url - moved to google

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> 5d78c88
- up to 1.9.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 18da65a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2affa92
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 1c25140
- strict internal deps

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> fbb8be9
- unify sourceforge url

* Wed Jun 08 2005 saq <saq@pld-linux.org> 90217c9
- up to 1.8.5

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 4e66ac6
- updated to 1.8.4

* Fri Nov 26 2004 darekr <darekr@pld-linux.org> 0f1520d
- updated to 1.8.3

* Sun Sep 12 2004 havner <havner@pld-linux.org> 1c96923
- rel 1

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> 2a56268
- updated to 1.8.1

* Sat Apr 10 2004 Adam Gołębiowski <adamg@pld-linux.org> 088ea93
- pass CC

* Sat Apr 10 2004 Adam Gołębiowski <adamg@pld-linux.org> 1f23efd
- updated to 1.5.0

* Thu Jan 01 2004 Adam Gołębiowski <adamg@pld-linux.org> d9a052c
- updated to 1.2

* Mon Sep 22 2003 Adam Gołębiowski <adamg@pld-linux.org> 3e33678
- updated to 1.1.1

* Thu Jun 12 2003 Jakub Bogusz <qboosh@pld-linux.org> 7749049
- fixed build, use better soname for library

* Fri Jun 06 2003 Jakub Bogusz <qboosh@pld-linux.org> ef64f16
- fixed pl, separated -devel, changed symlink within %{_libdir} to relative

